import { ModelFieldType } from '@oinone/kunlun-meta';
import { ExpressionMode, type IQueryExpressionParam } from '@oinone/kunlun-vue-expression';
import { RsqlConditionPanelWidget } from '../../../field/form';
/**
 * rsql查询条件控件
 */
export declare class PermissionRsqlConditionPanel extends RsqlConditionPanelWidget {
    private expressMode;
    onChangeExpressMode(val: ExpressionMode): void;
    private watchDomainExpJson;
    initData(): Promise<import("@oinone/kunlun-vue-expression").IExpressionItem[]>;
    customSubmit(queryExpressionParam?: IQueryExpressionParam): Promise<void>;
    submit(submitValue: any): Promise<Record<string, unknown> | undefined>;
    protected createExpressionOption(): {
        variableCustomMethod: (variableStr: string) => string;
        sessionContextOptions: {
            value: string;
            ttype: ModelFieldType;
            displayName: string;
            label: string;
        }[];
        type: import("@oinone/kunlun-vue-expression").ExpressionDefinitionType;
        labelDisplayType?: import("@oinone/kunlun-vue-expression").IExpressionLabelDisplayType;
        isFrontend?: boolean;
        ttypes?: ModelFieldType[];
        variableContextItems: import("@oinone/kunlun-vue-expression").IVariableContextItem[];
        models?: string[];
        modelModel?: string;
        numberCustomMethod?: Function;
        isBetweenInBrackets?: boolean;
        quoteType: import("@oinone/kunlun-vue-expression").IExpressionQuoteType;
        leftJoinField?: import("@oinone/kunlun-meta").IModelField;
        leftJoinTtype?: ModelFieldType;
        variableMaxStringLength?: number;
        isRsqlLeft?: boolean;
        useContextName?: boolean;
        showVariableType?: boolean;
        changeVariableOnSelect?: boolean;
    };
}
